QGIS Application - Bug report #11049
Wrong properties statistics and style minimum and maximum for grids
2014-08-13 07:36 PM - Miroslav Umlauf

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19385
Description

| have geotif grids created by GDAL/QGIS (1 band, Float32) which come up with wrong minimum and maximum values in QGIS. Very
dangerous problem for me actually.

As example one grid with double checked min/max values:
minimum: 0, maximum: 13.832950

In the properties statistics of QGIS:
STATISTICS_MAXIMUM=8.1215000152588
STATISTICS_MEAN=0.70247567682259
STATISTICS_MINIMUM=9.9999997171807e-010
STATISTICS_STDDEV=1.2959636169154

Load min/max in style tab in QGIS:
Min: 1e-09
Max: 8.1215

The same if | make 1e-09 as additional no data value in transparency tab:
Min: 1e-08
Max: 13.8329

Attached image:
Proof that grid has values over 8.1215 (10 m contour, >10 values both in info tool and value tool)

Related issues:
Related to QGIS Application - Bug report # 10617: Wrong handling no data valu... Closed 2014-06-18

History

#1 - 2014-10-23 01:04 PM - Jiirgen Fischer

- Category set to Rasters

#2 - 2014-12-02 08:38 PM - Miroslav Umlauf
- File wrong_value.png added

Still the same issue in master. Any chance to get this updated? It has obviously to do something with wrong handling of values - "Float" in python?

#3 - 2014-12-03 12:38 AM - Giovanni Manghi
- Affected QGIS version changed from 2.4.0 to master
- Priority changed from High to Normal

#4 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#5 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files
wrong_statistics_01.png 82.7 KB 2014-08-13 Miroslav Umlauf
wrong_value.png 19.2 KB 2014-12-02 Miroslav Umlauf
